<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note List</title>
    <style>
      .notes {
        font-family: Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        width: 100%;
      }

      .notes td, .notes th {
        border: 1px solid #ddd;
        padding: 8px;
      }

      .notes tr:nth-child(even){background-color: #f2f2f2;}

      .notes tr:hover {background-color: #ddd;}

      .notes th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #d8a416;
        color: white;
      }
    </style>
  </head>
  <body>
    <h1>Notes</h1>
    <table class="notes">
      <tr>
        <th>From</th>
        <th>To</th>
        <th>Title</th>
        <th>Message</th>
      </tr>
      <!-- loop from Note model -->
      {% if notes %} 
        {% for note in notes %}
        <tr>
          <td>{{ note.sender }}</td>
          <td>{{ note.to }}</td>
          <td>{{ note.title }}</td>
          <td>{{ note.message}}</td>
        </tr>  
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
